Skip to content
Developer

PaymentType

Billing6 EndpointsBilling / PaymentType

Returns a list of all PaymentType

GET/api/invoice/paymenttypes

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all PaymentTypearray<PaymentType>

Show fields (10)
  • idinteger

    Primary key of the payment type. Internal ID.

  • namestring

    Name of the payment type, for example transfer or cash.

  • autoboolean

    Payments of this type are matched automatically.

  • conditionsstring

    Conditions for matching payments to this type.

  • linked_keywordsstring

    Keywords in bank transactions that link to this payment type.

  • global_defaultboolean

    Default payment type for new invoices.

  • bank_import_defaultboolean

    Default payment type for bank imports.

  • is_direct_debitboolean

    The payment type is a direct debit.

  • is_externalboolean

    The payment is handled by an external service.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/paymenttypes \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "auto": true,
    "conditions": "string",
    "linked_keywords": "string",
    "global_default": true,
    "bank_import_default": true,
    "is_direct_debit": true,
    "is_external": true,
    "deleted": true
  }
]

Returns a list of all PaymentType

GET/api/invoice/payment_type

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all PaymentTypearray<PaymentType>

Show fields (10)
  • idinteger

    Primary key of the payment type. Internal ID.

  • namestring

    Name of the payment type, for example transfer or cash.

  • autoboolean

    Payments of this type are matched automatically.

  • conditionsstring

    Conditions for matching payments to this type.

  • linked_keywordsstring

    Keywords in bank transactions that link to this payment type.

  • global_defaultboolean

    Default payment type for new invoices.

  • bank_import_defaultboolean

    Default payment type for bank imports.

  • is_direct_debitboolean

    The payment type is a direct debit.

  • is_externalboolean

    The payment is handled by an external service.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/payment_type \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "auto": true,
    "conditions": "string",
    "linked_keywords": "string",
    "global_default": true,
    "bank_import_default": true,
    "is_direct_debit": true,
    "is_external": true,
    "deleted": true
  }
]

Add a new PaymentType

POST/api/invoice/payment_type

Request body application/json

  • dataPaymentType
    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new PaymentTypePaymentType

Show fields (10)
  • idinteger

    Primary key of the payment type. Internal ID.

  • namestring

    Name of the payment type, for example transfer or cash.

  • autoboolean

    Payments of this type are matched automatically.

  • conditionsstring

    Conditions for matching payments to this type.

  • linked_keywordsstring

    Keywords in bank transactions that link to this payment type.

  • global_defaultboolean

    Default payment type for new invoices.

  • bank_import_defaultboolean

    Default payment type for bank imports.

  • is_direct_debitboolean

    The payment type is a direct debit.

  • is_externalboolean

    The payment is handled by an external service.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/payment_type \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "auto": true,
    "conditions": "string",
    "linked_keywords": "string",
    "global_default": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "auto": true,
  "conditions": "string",
  "linked_keywords": "string",
  "global_default": true,
  "bank_import_default": true,
  "is_direct_debit": true,
  "is_external": true,
  "deleted": true
}

Get a single PaymentType

GET/api/invoice/payment_type/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single PaymentTypePaymentType

Show fields (10)
  • idinteger

    Primary key of the payment type. Internal ID.

  • namestring

    Name of the payment type, for example transfer or cash.

  • autoboolean

    Payments of this type are matched automatically.

  • conditionsstring

    Conditions for matching payments to this type.

  • linked_keywordsstring

    Keywords in bank transactions that link to this payment type.

  • global_defaultboolean

    Default payment type for new invoices.

  • bank_import_defaultboolean

    Default payment type for bank imports.

  • is_direct_debitboolean

    The payment type is a direct debit.

  • is_externalboolean

    The payment is handled by an external service.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/payment_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "auto": true,
  "conditions": "string",
  "linked_keywords": "string",
  "global_default": true,
  "bank_import_default": true,
  "is_direct_debit": true,
  "is_external": true,
  "deleted": true
}

Update a PaymentType

PUT/api/invoice/payment_type/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataPaymentType
    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a PaymentTypePaymentType

Show fields (10)
  • idinteger

    Primary key of the payment type. Internal ID.

  • namestring

    Name of the payment type, for example transfer or cash.

  • autoboolean

    Payments of this type are matched automatically.

  • conditionsstring

    Conditions for matching payments to this type.

  • linked_keywordsstring

    Keywords in bank transactions that link to this payment type.

  • global_defaultboolean

    Default payment type for new invoices.

  • bank_import_defaultboolean

    Default payment type for bank imports.

  • is_direct_debitboolean

    The payment type is a direct debit.

  • is_externalboolean

    The payment is handled by an external service.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/payment_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "auto": true,
    "conditions": "string",
    "linked_keywords": "string",
    "global_default": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "auto": true,
  "conditions": "string",
  "linked_keywords": "string",
  "global_default": true,
  "bank_import_default": true,
  "is_direct_debit": true,
  "is_external": true,
  "deleted": true
}

Update a PaymentType

PATCH/api/invoice/payment_type/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataPaymentType
    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a PaymentTypePaymentType

Show fields (10)
  • idinteger

    Primary key of the payment type. Internal ID.

  • namestring

    Name of the payment type, for example transfer or cash.

  • autoboolean

    Payments of this type are matched automatically.

  • conditionsstring

    Conditions for matching payments to this type.

  • linked_keywordsstring

    Keywords in bank transactions that link to this payment type.

  • global_defaultboolean

    Default payment type for new invoices.

  • bank_import_defaultboolean

    Default payment type for bank imports.

  • is_direct_debitboolean

    The payment type is a direct debit.

  • is_externalboolean

    The payment is handled by an external service.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/invoice/payment_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "auto": true,
    "conditions": "string",
    "linked_keywords": "string",
    "global_default": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "auto": true,
  "conditions": "string",
  "linked_keywords": "string",
  "global_default": true,
  "bank_import_default": true,
  "is_direct_debit": true,
  "is_external": true,
  "deleted": true
}